import React from "react";

function CheckBox({ id, name, handler = () => {}, value, className, label }) {
  return (
    <div className="h-fit flex justify-start items-center">
      <input
        type="checkbox"
        className=" checkbox h-4 w-4 accent-primary-200 border-dark-200 outline-dark-200 border-opacity-30 checked:bg-primary-200 checked:hover:bg-primary-200 text-primary-200 "
        name={name}
        checked={value}
        id={id}
        onChange={(e) => {
          handler(e);
        }}
      />
      <label htmlFor={id} className=" ml-3 text-dark-200 text-16">
        {label}
      </label>
    </div>
  );
}

export default CheckBox;
